/*Unit UCustomer*/

/*header file*/

#ifndef __UCustomer__
	#define __UCustomer__

#ifndef __UIDontKNOW__
	#include <UIDontKNOW.h>
#endif __UIDontKNOW__

class TCustomer; //Forward Declaration
class TOrder; //Forward Declaration
class TForeignCustomer; //Forward Declaration

class TCustomer : public TObject {

public:
	Str255 GetName(void);
	void SetName(Str255 theName);
	virtual void PrintAddress(void);
	Str255* GetAddress(void);
	void SetAddress(Str255* theAddress);

protected:
		TOrder *fOrder;

private:
		Str255 fName;
		Str255 *fAddress;

};


	inline Str255	TCustomer::GetName() { return fName; };
	inline void	TCustomer::SetName(Str255 theName) { fName = theName; };
	inline Str255*	TCustomer::GetAddress() { return fAddress; };
	inline void	TCustomer::SetAddress(Str255* theAddress) { fAddress = theAddress; };

class TOrder : public TObject {

public:
	short GetNumber(void);
	void SetNumber(short theNumber);
	float GetUnitPrice(void);
	void SetUnitPrice(float theUnitPrice);
	virtual void ReturnTotalCost(void);

private:
		short fNumber;
		float fUnitPrice;

};


	inline short	TOrder::GetNumber() { return fNumber; };
	inline void	TOrder::SetNumber(short theNumber) { fNumber = theNumber; };
	inline float	TOrder::GetUnitPrice() { return fUnitPrice; };
	inline void	TOrder::SetUnitPrice(float theUnitPrice) { fUnitPrice = theUnitPrice; };

class TForeignCustomer : public TCustomer {

public:
	Str255 GetCountry(void);
	void SetCountry(Str255 theCountry);
	virtual void PrintAddress(void); //OVERRIDE

private:
		Str255 fCountry;

};


	inline Str255	TForeignCustomer::GetCountry() { return fCountry; };
	inline void	TForeignCustomer::SetCountry(Str255 theCountry) { fCountry = theCountry; };

#endif
